
#include <ecl/ecl-cmp.h>
#include "/home/mandrake/rpm/BUILD/ecl-0.9j/build/cmp/cmpmain.h"
/*	function definition for SAFE-SYSTEM                           */
static cl_object L1safe_system(cl_object V1)
{ VT2 VLEX2 CLSR2
	cl_object value0;
	{
TTL:
	(void)(*LK0cmpnote)(2,VV[0],V1)           /*  CMPNOTE                        */;
	{cl_object V2;                            /*  RESULT                                          */
	V2= si_system(V1)                         /*  SYSTEM                                       */;
	if(ecl_zerop(V2)){
	goto L7;}
	(void)cl_cerror(4,VV[1],VV[2],V1,V2)      /*  CERROR                    */;
L7:;
	value0=V2; NVALUES=1;
	return value0;
	}
	}
}
/*	function definition for COMPILE-FILE-PATHNAME                 */
static cl_object L2compile_file_pathname(cl_narg narg, cl_object V1, ...)
{ VT3 VLEX3 CLSR3
	cl_object value0;
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_object V11;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[20];
	cl_parse_key(args,10,L2compile_file_pathnamekeys,keyvars,NULL,FALSE);
	if(keyvars[10]==Cnil){
	V2= V1;
	}else{
	V2= keyvars[0];}
	if(keyvars[11]==Cnil){
	V3= VV[4];
	}else{
	V3= keyvars[1];}
	V4= keyvars[2];
	V5= keyvars[3];
	V6= keyvars[4];
	V7= keyvars[5];
	V8= keyvars[6];
	V9= keyvars[7];
	V10= keyvars[8];
	V11= keyvars[9];
	}
	{cl_object V12;                           /*  FORMAT                                         */
	cl_object V13;                            /*  EXTENSION                                       */
	V12= Cnil;
	V13= Cnil;
	{cl_object V14;
	if((ecl_memql(V3,VV[5]))==Cnil){
	goto L17;}
	V12= ecl_symbol_value(VV[6]);
	goto L15;
L17:;
	if((ecl_memql(V3,VV[7]))==Cnil){
	goto L21;}
	V12= ecl_symbol_value(VV[8]);
	goto L15;
L21:;
	if(!(ecl_eql(V3,VV[9]))){
	goto L25;}
	V13= VV[10];
	goto L15;
L25:;
	if(!(ecl_eql(V3,VV[11]))){
	goto L29;}
	V13= VV[12];
	goto L15;
L29:;
	if(!(ecl_eql(V3,VV[13]))){
	goto L33;}
	V13= VV[14];
	goto L15;
L33:;
	if(!(ecl_eql(V3,VV[15]))){
	goto L37;}
	V13= VV[16];
	goto L15;
L37:;
	if(!(ecl_eql(V3,ECL_SYM("OBJECT",1271)))){
	goto L41;}
	V13= ecl_symbol_value(VV[17]);
	goto L15;
L41:;
	if(!(ecl_eql(V3,VV[18]))){
	goto L45;}
	V12= ecl_symbol_value(VV[19]);
	goto L15;
L45:;
	if((ecl_memql(V3,VV[20]))==Cnil){
	goto L15;}
	V13= VV[21];
	}
L15:;
	if((V12)==Cnil){
	goto L52;}
	T0= cl_pathname_name(1,V2)                /*  PATHNAME-NAME                       */;
	T1= cl_format(3,Cnil,V12,T0)              /*  FORMAT                            */;
	value0=cl_merge_pathnames(2,T1,V2)        /*  MERGE-PATHNAMES             */;
	return value0;
L52:;
	value0=cl_make_pathname(4,ECL_SYM("TYPE",1310),V13,ECL_SYM("DEFAULTS",1212),V2) /*  MAKE-PATHNAME */;
	return value0;
	}
	}
}
/*	function definition for CMP-DELETE-FILE                       */
static cl_object L3cmp_delete_file(cl_object V1)
{ VT4 VLEX4 CLSR4
	cl_object value0;
	{
TTL:
	if((ecl_symbol_value(VV[22]))==Cnil){
	goto L60;}
	(void)cl_format(3,Ct,VV[23],V1)           /*  FORMAT                         */;
	cl_set(VV[24],CONS(V1,ecl_symbol_value(VV[24])));
	value0=ecl_symbol_value(VV[24]); NVALUES=1;
	return value0;
L60:;
	value0=cl_delete_file(V1)                 /*  DELETE-FILE                          */;
	return value0;
	}
}
/*	local function G12003                                         */
static cl_object LC4__g12003()
{ VT5 VLEX5 CLSR5
	cl_object value0;
	{
TTL:
	{cl_object V1;
	cl_object V2;
	V1= Cnil;
	V2= ecl_symbol_value(VV[24]);
L68:;
	if(!(ecl_endp(V2))){
	goto L70;}
	goto L69;
L70:;
	V1= cl_car(V2)                            /*  CAR                                             */;
	V2= cl_cdr(V2)                            /*  CDR                                             */;
	(void)cl_delete_file(V1)                  /*  DELETE-FILE                           */;
	goto L68;
L69:;
	value0=Cnil; NVALUES=1;
	return value0;
	}
	}
}
/*	local function FIX-FOR-MINGW                                  */
static cl_object LC5fix_for_mingw(cl_object V1, cl_object V2)
{ VT6 VLEX6 CLSR6
	cl_object value0;
	{
TTL:
	{cl_object V3;                            /*  DIRECTORY-NAMESTRING                            */
	if((cl_cdr(V1)                            /*  CDR                                             */)==Cnil){
	goto L82;}
	V3= cl_cadr(V1)                           /*  CADR                                           */;
	goto L80;
L82:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS            */;
L80:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=V3; NVALUES=1;
	return value0;
	}
	}
}
/*	function definition for LINKER-CC                             */
static cl_object L6linker_cc(cl_narg narg, cl_object V1, ...)
{ VT7 VLEX7 CLSR7
	cl_object value0;
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	{cl_object V3= ecl_symbol_value(VV[27]);
	{cl_object V4= ecl_symbol_value(VV[28]);
	T0= si_coerce_to_filename(V1)             /*  COERCE-TO-FILENAME               */;
	T1= L32ecl_library_directory()            /*  ECL-LIBRARY-DIRECTORY           */;
	{cl_object V5= ecl_symbol_value(VV[29]);
	T2= L32ecl_library_directory()            /*  ECL-LIBRARY-DIRECTORY           */;
	T3= cl_format(8,Cnil,V3,V4,T0,T1,V2,V5,T2) /*  FORMAT              */;
	value0=L1safe_system(T3)                  /*  SAFE-SYSTEM                           */;
	return value0;}}}
	}
}
/*	function definition for SHARED-CC                             */
static cl_object L7shared_cc(cl_narg narg, cl_object V1, ...)
{ VT8 VLEX8 CLSR8
	cl_object value0;
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	{cl_object V3= ecl_symbol_value(VV[27]);
	{cl_object V4= ecl_symbol_value(VV[28]);
	T0= si_coerce_to_filename(V1)             /*  COERCE-TO-FILENAME               */;
	T1= L32ecl_library_directory()            /*  ECL-LIBRARY-DIRECTORY           */;
	{cl_object V5= ecl_symbol_value(VV[31]);
	T2= L32ecl_library_directory()            /*  ECL-LIBRARY-DIRECTORY           */;
	T3= cl_format(8,Cnil,V3,V4,T0,T1,V2,V5,T2) /*  FORMAT              */;
	value0=L1safe_system(T3)                  /*  SAFE-SYSTEM                           */;
	return value0;}}}
	}
}
/*	function definition for BUNDLE-CC                             */
static cl_object L8bundle_cc(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT9 VLEX9 CLSR9
	cl_object value0;
	if(narg<2) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	{cl_object V4= ecl_symbol_value(VV[27]);
	{cl_object V5= ecl_symbol_value(VV[28]);
	T0= si_coerce_to_filename(V1)             /*  COERCE-TO-FILENAME               */;
	T1= L32ecl_library_directory()            /*  ECL-LIBRARY-DIRECTORY           */;
	{cl_object V6= ecl_symbol_value(VV[33]);
	T2= L32ecl_library_directory()            /*  ECL-LIBRARY-DIRECTORY           */;
	T3= cl_format(8,Cnil,V4,V5,T0,T1,V3,V6,T2) /*  FORMAT              */;
	value0=L1safe_system(T3)                  /*  SAFE-SYSTEM                           */;
	return value0;}}}
	}
}
/*	function definition for INIT-FUNCTION-NAME                    */
static cl_object L11init_function_name(cl_narg narg, cl_object V1, ...)
{ VT10 VLEX10 CLSR10
	cl_object value0;
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L11init_function_namekeys,keyvars,NULL,FALSE);
	if(keyvars[2]==Cnil){
	bds_push(ECL_SYM("*INIT-FUNCTION-PREFIX*",1002)); /*  *INIT-FUNCTION-PREFIX* */
	}else{
	bds_bind(ECL_SYM("*INIT-FUNCTION-PREFIX*",1002),keyvars[0]); /*  *INIT-FUNCTION-PREFIX* */}
	if(keyvars[3]==Cnil){
	lex0[0]= ECL_SYM("OBJECT",1271);          /*  KIND                          */
	}else{
	lex0[0]= keyvars[1];                      /*  KIND                                      */}
	}
	{ cl_object V2;
	V2= Cnil;
	V2= cl_make_cfun((void*)LC9translate_char,Cnil,Cblock,1);
	T0= cl_string(V1)                         /*  STRING                                       */;
	V1= cl_map(3,ECL_SYM("STRING",803),V2,T0) /*  MAP                  */;
	T0= LC10disambiguation(lex0,lex0[0])      /*  DISAMBIGUATION            */;
	if((ecl_symbol_value(ECL_SYM("*INIT-FUNCTION-PREFIX*",1002)))==Cnil){
	goto L124;}
	T1= cl_concatenate(3,ECL_SYM("STRING",803),ecl_symbol_value(ECL_SYM("*INIT-FUNCTION-PREFIX*",1002)),VV[45]) /*  CONCATENATE */;
	goto L122;
L124:;
	T1= VV[38];
L122:;
	T2= cl_string(V1)                         /*  STRING                                       */;
	T3= cl_map(3,ECL_SYM("STRING",803),V2,T2) /*  MAP                  */;
	value0=cl_concatenate(5,ECL_SYM("STRING",803),VV[44],T0,T1,T3) /*  CONCATENATE */;
	bds_unwind1();
	return value0;
	}
	}
}
/*	local function DISAMBIGUATION                                 */
static cl_object LC10disambiguation(cl_object *lex0, cl_object V1)
{ VT11 VLEX11 CLSR11
	cl_object value0;
	{
TTL:
	{cl_object V2;
	V2= lex0[0];
	if(!(ecl_eql(V2,ECL_SYM("OBJECT",1271)))){
	goto L129;}
	value0=VV[38]; NVALUES=1;
	return value0;
L129:;
	if(!(ecl_eql(V2,VV[18]))){
	goto L132;}
	value0=VV[39]; NVALUES=1;
	return value0;
L132:;
	if((ecl_memql(V2,VV[20]))==Cnil){
	goto L135;}
	value0=VV[40]; NVALUES=1;
	return value0;
L135:;
	if((ecl_memql(V2,VV[41]))==Cnil){
	goto L138;}
	value0=VV[42]; NVALUES=1;
	return value0;
L138:;
	value0=cl_error(2,VV[43],lex0[0])         /*  ERROR                        */;
	return value0;
	}
	}
}
/*	local function TRANSLATE-CHAR                                 */
static cl_object LC9translate_char(cl_object V1)
{ VT12 VLEX12 CLSR12
	cl_object value0;
	{
TTL:
	if((cl_charGE(2,V1,CODE_CHAR('\141'))     /*  CHAR>=                   */)==Cnil){
	goto L141;}
	if((cl_charLE(2,V1,CODE_CHAR('\172'))     /*  CHAR<=                   */)==Cnil){
	goto L141;}
	value0=cl_char_upcase(V1)                 /*  CHAR-UPCASE                          */;
	return value0;
L141:;
	if((cl_charGE(2,V1,CODE_CHAR('\101'))     /*  CHAR>=                   */)==Cnil){
	goto L146;}
	if((cl_charLE(2,V1,CODE_CHAR('\132'))     /*  CHAR<=                   */)==Cnil){
	goto L146;}
	value0=V1; NVALUES=1;
	return value0;
L146:;
	if((V1)==(CODE_CHAR('\55'))){
	goto L150;}
	if(!((V1)==(CODE_CHAR('\137')))){
	goto L151;}
L150:;
	value0=CODE_CHAR('\137'); NVALUES=1;
	return value0;
L151:;
	if(!((V1)==(CODE_CHAR('\52')))){
	goto L156;}
	value0=CODE_CHAR('\170'); NVALUES=1;
	return value0;
L156:;
	if(!((V1)==(CODE_CHAR('\77')))){
	goto L159;}
	value0=CODE_CHAR('\141'); NVALUES=1;
	return value0;
L159:;
	if((cl_digit_char_p(1,V1)                 /*  DIGIT-CHAR-P                         */)==Cnil){
	goto L162;}
	value0=V1; NVALUES=1;
	return value0;
L162:;
	value0=CODE_CHAR('\160'); NVALUES=1;
	return value0;
	}
}
/*	function definition for GUESS-KIND                            */
static cl_object L12guess_kind(cl_object V1)
{ VT13 VLEX13 CLSR13
	cl_object value0;
	{
TTL:
	{cl_object V2;                            /*  RECORD                                          */
	T0= cl_pathname_type(1,V1)                /*  PATHNAME-TYPE                       */;
	T1= (ECL_SYM("STRING-EQUAL",806)->symbol.gfdef);
	V2= cl_assoc(4,T0,VV[47],ECL_SYM("TEST",1308),T1) /*  ASSOC        */;
	if((V2)==Cnil){
	goto L171;}
	value0=cl_second(V2)                      /*  SECOND                                    */;
	return value0;
L171:;
	(void)(*LK1warn)(2,VV[48],V1)             /*  WARN                             */;
	value0=ECL_SYM("OBJECT",1271); NVALUES=1;
	return value0;
	}
	}
}
/*	function definition for GUESS-NAME-AND-FLAGS                  */
static cl_object L13guess_name_and_flags(cl_narg narg, cl_object V1, ...)
{ VT14 VLEX14 CLSR14
	cl_object value0;
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L13guess_name_and_flagskeys,keyvars,NULL,FALSE);
	if(keyvars[2]==Cnil){
	V2= ecl_symbol_value(ECL_SYM("*INIT-FUNCTION-PREFIX*",1002));
	}else{
	V2= keyvars[0];}
	if(keyvars[3]==Cnil){
	V3= L12guess_kind(V1)                     /*  GUESS-KIND                               */;
	}else{
	V3= keyvars[1];}
	}
	{cl_object V4;                            /*  FILENAME                                        */
	cl_object V5;                             /*  NAME                                             */
	cl_object V6;                             /*  FLAGS                                            */
	V4= cl_pathname_name(1,V1)                /*  PATHNAME-NAME                       */;
	V5= Cnil;
	V6= Cnil;
	{cl_object V7;
	if((ecl_memql(V3,VV[50]))==Cnil){
	goto L182;}
	V5= V4;
	{cl_object V8;
	V8= si_coerce_to_filename(V1)             /*  COERCE-TO-FILENAME               */;
	V6= V8;
	goto L180;
	}
L182:;
	if((ecl_memql(V3,VV[20]))==Cnil){
	goto L189;}
	V5= VV[51];
	V6= VV[38];
	goto L180;
L189:;
	if((ecl_memql(V3,VV[52]))==Cnil){
	goto L195;}
	{cl_object V9;
	T0= cl_search(2,ecl_symbol_value(VV[53]),V4) /*  SEARCH            */;
	if(!(ecl_zerop(T0))){
	goto L200;}
	{cl_fixnum V10= ecl_length(ecl_symbol_value(VV[53]));
	V9= cl_subseq(3,V4,MAKE_FIXNUM(V10),Cnil) /*  SUBSEQ               */;
	goto L198;}
L200:;
	V9= V4;
L198:;
	V5= V9;
	}
	{cl_object V9;
	if((cl_probe_file(V1)                     /*  PROBE-FILE                               */)==Cnil){
	goto L206;}
	V9= si_coerce_to_filename(V1)             /*  COERCE-TO-FILENAME               */;
	goto L204;
L206:;
	V9= cl_concatenate(3,ECL_SYM("STRING",803),VV[54],V5) /*  CONCATENATE */;
L204:;
	V6= V9;
	goto L180;
	}
L195:;
	if((ecl_memql(V3,VV[5]))==Cnil){
	goto L210;}
	{cl_object V10;
	T0= cl_search(2,ecl_symbol_value(VV[55]),V4) /*  SEARCH            */;
	if(!(ecl_zerop(T0))){
	goto L215;}
	{cl_fixnum V11= ecl_length(ecl_symbol_value(VV[55]));
	V10= cl_subseq(3,V4,MAKE_FIXNUM(V11),Cnil) /*  SUBSEQ              */;
	goto L213;}
L215:;
	V10= V4;
L213:;
	V5= V10;
	}
	{cl_object V10;
	if((cl_probe_file(V1)                     /*  PROBE-FILE                               */)==Cnil){
	goto L221;}
	V10= si_coerce_to_filename(V1)            /*  COERCE-TO-FILENAME              */;
	goto L219;
L221:;
	V10= cl_concatenate(3,ECL_SYM("STRING",803),VV[54],V5) /*  CONCATENATE */;
L219:;
	V6= V10;
	goto L180;
	}
L210:;
	if((ecl_memql(V3,VV[56]))==Cnil){
	goto L225;}
	V5= VV[57];
	V6= Cnil;
	goto L180;
L225:;
	(void)cl_error(2,VV[58],V3)               /*  ERROR                              */;
	}
L180:;
	T0= L11init_function_name(5,V5,VV[59],V3,VV[60],V2) /*  INIT-FUNCTION-NAME */;
	NVALUES=2;
	VALUES(1)=V6;
	VALUES(0)=T0;
	return VALUES(0);
	}
	}
}
/*	function definition for SYSTEM-LD-FLAG                        */
static cl_object L20system_ld_flag(cl_object V1)
{ VT15 VLEX15 CLSR15
	cl_object value0;
	{
	lex0[0]= V1;                              /*  LIBRARY                                           */
TTL:
	{cl_object V2;                            /*  NIL                                             */
	cl_object V3;                             /*  SYSTEM                                           */
	V2= cl_find_package(VV[62])               /*  FIND-PACKAGE                       */;
	lex0[1]= V2;                              /*  ASDF                                              */
	V3= Cnil;
	{cl_object V4;
	if((lex0[1])==Cnil){
	goto L237;}
	{cl_object V5;
	V5= LC15asdfcall(3,lex0,VV[68],lex0[0],Cnil) /*  ASDFCALL          */;
	V3= V5;
	if((V3)==Cnil){
	goto L240;}
	}
	V4= LC18find_archive(lex0,V3)             /*  FIND-ARCHIVE                     */;
	goto L235;
L240:;
	V4= Cnil;
	goto L235;
L237:;
	V4= Cnil;
L235:;
	if((V4)==Cnil){
	goto L245;}
	value0=V4; NVALUES=1;
	return value0;
L245:;
	value0=LC19fallback(lex0)                 /*  FALLBACK                             */;
	return value0;
	}
	}
	}
}
/*	local function FALLBACK                                       */
static cl_object LC19fallback(cl_object *lex0)
{ VT16 VLEX16 CLSR16
	cl_object value0;
	{
TTL:
	T0= cl_string_downcase(1,lex0[0])         /*  STRING-DOWNCASE              */;
	value0=cl_format(3,Cnil,VV[67],T0)        /*  FORMAT                      */;
	return value0;
	}
}
/*	local function FIND-ARCHIVE                                   */
static cl_object LC18find_archive(cl_object *lex0, cl_object V1)
{ VT17 VLEX17 CLSR17
	cl_object value0;
	{
TTL:
	{cl_object V2;
	V2= LC17existing_system_output(lex0,V1,VV[65]) /*  EXISTING-SYSTEM-OUTPUT */;
	if((V2)==Cnil){
	goto L250;}
	value0=V2; NVALUES=1;
	return value0;
L250:;
	value0=LC17existing_system_output(lex0,V1,VV[66]) /*  EXISTING-SYSTEM-OUTPUT */;
	return value0;
	}
	}
}
/*	local function EXISTING-SYSTEM-OUTPUT                         */
static cl_object LC17existing_system_output(cl_object *lex0, cl_object V1, cl_object V2)
{ VT18 VLEX18 CLSR18
	cl_object value0;
	{
TTL:
	{cl_object V3;                            /*  O                                               */
	V3= LC16system_output(lex0,V1,V2)         /*  SYSTEM-OUTPUT                */;
	if((V3)==Cnil){
	goto L254;}
	{cl_object V4;
	V4= cl_probe_file(V3)                     /*  PROBE-FILE                               */;
	V3= V4;
	if((V3)==Cnil){
	goto L257;}
	}
	value0=cl_namestring(V3)                  /*  NAMESTRING                            */;
	return value0;
L257:;
	value0=Cnil; NVALUES=1;
	return value0;
L254:;
	value0=Cnil; NVALUES=1;
	return value0;
	}
	}
}
/*	local function SYSTEM-OUTPUT                                  */
static cl_object LC16system_output(cl_object *lex0, cl_object V1, cl_object V2)
{ VT19 VLEX19 CLSR19
	cl_object value0;
	{
TTL:
	{cl_object V3;                            /*  BUILD                                           */
	T0= LC14asdfsym(lex0,VV[63])              /*  ASDFSYM                           */;
	V3= (*LK2make_instance)(3,T0,ECL_SYM("TYPE",1310),V2) /*  MAKE-INSTANCE */;
	T0= LC15asdfcall(3,lex0,VV[64],V3,V1)     /*  ASDFCALL                 */;
	value0=cl_first(T0)                       /*  FIRST                                      */;
	return value0;
	}
	}
}
/*	local function ASDFCALL                                       */
static cl_object LC15asdfcall(cl_narg narg, cl_object *lex0, cl_object V1, ...)
{ VT20 VLEX20 CLSR20
	cl_object value0;
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	T0= LC14asdfsym(lex0,V1)                  /*  ASDFSYM                               */;
	value0=cl_apply(2,T0,V2)                  /*  APPLY                                 */;
	return value0;
	}
}
/*	local function ASDFSYM                                        */
static cl_object LC14asdfsym(cl_object *lex0, cl_object V1)
{ VT21 VLEX21 CLSR21
	cl_object value0;
	{
TTL:
	T0= cl_string(V1)                         /*  STRING                                       */;
	value0=cl_find_symbol(2,T0,lex0[1])       /*  FIND-SYMBOL                */;
	return value0;
	}
}
/*	function definition for BUILDER                               */
static cl_object L21builder(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT22 VLEX22 CLSR22
	cl_object value0;
	if(narg<2) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[12];
	cl_parse_key(args,6,L21builderkeys,keyvars,NULL,FALSE);
	V3= keyvars[0];
	V4= keyvars[1];
	V5= keyvars[2];
	V6= keyvars[3];
	if(keyvars[10]==Cnil){
	V7= VV[38];
	}else{
	V7= keyvars[4];}
	if(keyvars[11]==Cnil){
	if(!((V1)==(VV[18]))){
	goto L272;}
	V8= VV[70];
	goto L270;
L272:;
	V8= Cnil;
L270:;
	}else{
	V8= keyvars[5];}
	}
	if((V8)!=Cnil){
	goto L276;}
	V8= VV[38];
	goto L274;
L276:;
	{cl_object V9;
	V9= ((ecl_stringp(V8))?Ct:Cnil);
	if((V9)==Cnil){
	goto L281;}
	goto L274;
L281:;
	T0= cl_find_package(VV[71])               /*  FIND-PACKAGE                       */;
	bds_bind(ECL_SYM("*PACKAGE*",41),T0);     /*  *PACKAGE*                */
	bds_bind(ECL_SYM("*PRINT-ARRAY*",42),Ct); /*  *PRINT-ARRAY*        */
	bds_bind(ECL_SYM("*PRINT-BASE*",43),MAKE_FIXNUM(10)); /*  *PRINT-BASE* */
	bds_bind(ECL_SYM("*PRINT-CASE*",44),ECL_SYM("UPCASE",1313)); /*  *PRINT-CASE* */
	bds_bind(ECL_SYM("*PRINT-CIRCLE*",45),Cnil); /*  *PRINT-CIRCLE*    */
	bds_bind(ECL_SYM("*PRINT-ESCAPE*",46),Ct); /*  *PRINT-ESCAPE*      */
	bds_bind(ECL_SYM("*PRINT-GENSYM*",47),Ct); /*  *PRINT-GENSYM*      */
	bds_bind(ECL_SYM("*PRINT-LENGTH*",48),Cnil); /*  *PRINT-LENGTH*    */
	bds_bind(ECL_SYM("*PRINT-LEVEL*",49),Cnil); /*  *PRINT-LEVEL*      */
	bds_bind(ECL_SYM("*PRINT-LINES*",50),Cnil); /*  *PRINT-LINES*      */
	bds_bind(ECL_SYM("*PRINT-MISER-WIDTH*",51),Cnil); /*  *PRINT-MISER-WIDTH* */
	bds_bind(ECL_SYM("*PRINT-PRETTY*",53),Cnil); /*  *PRINT-PRETTY*    */
	bds_bind(ECL_SYM("*PRINT-RADIX*",54),Cnil); /*  *PRINT-RADIX*      */
	bds_bind(ECL_SYM("*PRINT-READABLY*",55),Ct); /*  *PRINT-READABLY*  */
	bds_bind(ECL_SYM("*PRINT-RIGHT-MARGIN*",56),Cnil); /*  *PRINT-RIGHT-MARGIN* */
	bds_bind(ECL_SYM("*READ-BASE*",59),MAKE_FIXNUM(10)); /*  *READ-BASE* */
	bds_bind(ECL_SYM("*READ-DEFAULT-FLOAT-FORMAT*",60),ECL_SYM("SINGLE-FLOAT",776)); /*  *READ-DEFAULT-FLOAT-FORMAT* */
	bds_bind(ECL_SYM("*READ-EVAL*",61),Ct);   /*  *READ-EVAL*            */
	bds_bind(ECL_SYM("*READ-SUPPRESS*",62),Cnil); /*  *READ-SUPPRESS*  */
	T0= si_standard_readtable()               /*  STANDARD-READTABLE                 */;
	T1= cl_copy_readtable(1,T0)               /*  COPY-READTABLE                     */;
	bds_bind(ECL_SYM("*READTABLE*",63),T1);   /*  *READTABLE*            */
	{cl_object V10;                           /*  STREAM                                         */
	V10= cl_make_string_output_stream(0)      /*  MAKE-STRING-OUTPUT-STREAM */;
	ecl_princ_str("{ const char *lisp_code = ",V10);
	T0= cl_write_to_string(1,V8)              /*  WRITE-TO-STRING                   */;
	(void)(*LK3wt_filtered_data)(2,T0,V10)    /*  WT-FILTERED-DATA        */;
	ecl_princ(VV[72],V10);
	if(!((V1)==(VV[18]))){
	goto L292;}
	ecl_princ_str("cl_shutdown(); return (output != OBJNULL);",V10);
L292:;
	ecl_princ_char(125,V10);
	V8= cl_get_output_stream_string(V10)      /*  GET-OUTPUT-STREAM-STRING  */;
	}
	bds_unwind_n(20);
	}
L274:;
	{cl_object V9;                            /*  TMP-NAME                                        */
	cl_object V10;                            /*  C-NAME                                          */
	cl_object V11;                            /*  O-NAME                                          */
	cl_object V12;                            /*  SUBMODULES                                      */
	cl_object V13;                            /*  C-FILE                                          */
	V9= si_mkstemp(VV[73])                    /*  MKSTEMP                                 */;
	T0= L2compile_file_pathname(3,V9,ECL_SYM("TYPE",1310),VV[13]) /*  COMPILE-FILE-PATHNAME */;
	V10= si_coerce_to_filename(T0)            /*  COERCE-TO-FILENAME              */;
	T0= L2compile_file_pathname(3,V9,ECL_SYM("TYPE",1310),ECL_SYM("OBJECT",1271)) /*  COMPILE-FILE-PATHNAME */;
	V11= si_coerce_to_filename(T0)            /*  COERCE-TO-FILENAME              */;
	V12= Cnil;
	V13= Cnil;
	{cl_object V14;                           /*  %DOLIST-VAR                                    */
	cl_object V15;                            /*  ITEM                                            */
	V14= cl_reverse(V3)                       /*  REVERSE                                    */;
	V15= Cnil;
	goto L309;
L308:;
	V15= cl_first(V14)                        /*  FIRST                                       */;
	{cl_object V16;
	if((cl_typep(2,V15,ECL_SYM("SYMBOL",838)) /*  TYPEP                */)==Cnil){
	goto L314;}
	T0= L20system_ld_flag(V15)                /*  SYSTEM-LD-FLAG                      */;
	V4= CONS(T0,V4);
	T0= L11init_function_name(3,V15,VV[59],VV[74]) /*  INIT-FUNCTION-NAME */;
	V12= CONS(T0,V12);
	goto L312;
L314:;
	if((cl_typep(2,V15,VV[75])                /*  TYPEP                               */)==Cnil){
	goto L322;}
	{cl_object V17;                           /*  PATHNAME                                       */
	cl_object V18;                            /*  KIND                                            */
	V17= cl_parse_namestring(1,V15)           /*  PARSE-NAMESTRING               */;
	V18= L12guess_kind(V17)                   /*  GUESS-KIND                             */;
	if((ecl_memql(V18,VV[76]))!=Cnil){
	goto L326;}
	(void)cl_error(3,VV[77],V15,V18)          /*  ERROR                         */;
L326:;
	T0= cl_parse_namestring(1,V15)            /*  PARSE-NAMESTRING                */;
	VALUES(0)=L13guess_name_and_flags(1,T0)   /*  GUESS-NAME-AND-FLAGS   */;
	{
	cl_object V20;                            /*  INIT-FN                                         */
	cl_object V21;                            /*  FLAGS                                           */
	{int V22=NVALUES-0;
	if (V22--<=0) goto L331;
	V20= VALUES(0);
	if (V22--<=0) goto L332;
	V21= VALUES(1);
	goto L333;}
L331:;
	V20= Cnil;
L332:;
	V21= Cnil;
L333:;
	if((V21)==Cnil){
	goto L334;}
	V4= CONS(V21,V4);
L334:;
	V12= CONS(V20,V12);
	goto L312;}
	}
L322:;
	(void)si_etypecase_error(3,VV[78],V15,VV[79]) /*  ETYPECASE-ERROR  */;
	}
L312:;
	V14= cl_rest(V14)                         /*  REST                                         */;
L309:;
	if((V14)==Cnil){
	goto L340;}
	goto L308;
L340:;
	goto L306;
L306:;
	}
	V13= cl_open(3,V10,ECL_SYM("DIRECTION",1214),ECL_SYM("OUTPUT",1275)) /*  OPEN */;
	if(!((VV[4])==(V1))){
	goto L348;}
	T0= Cnil;
	goto L346;
L348:;
	T0= V12;
L346:;
	(void)cl_format(3,V13,ecl_symbol_value(VV[35]),T0) /*  FORMAT      */;
	if((V5)==Cnil){
	goto L352;}
	(void)(*LK4data_init)(1,V5)               /*  DATA-INIT                          */;
	T0= (*LK5data_permanent_storage_size)(0)  /*  DATA-PERMANENT-STORAGE-SIZE */;
	(void)cl_format(3,V13,VV[80],T0)          /*  FORMAT                        */;
	(void)(*LK6data_dump)(1,V13)              /*  DATA-DUMP                         */;
	goto L350;
L352:;
	(void)cl_format(3,V13,VV[81],V13)         /*  FORMAT                       */;
L350:;
	if(SYMBOLP(V2)){
	goto L358;}
	if(!(ecl_stringp(V2))){
	goto L357;}
L358:;
	{cl_object V14;
	V14= L2compile_file_pathname(3,V2,ECL_SYM("TYPE",1310),V1) /*  COMPILE-FILE-PATHNAME */;
	V2= V14;
	}
L357:;
	if((V6)!=Cnil){
	goto L364;}
	{cl_object V14;
	V14= L13guess_name_and_flags(5,V2,VV[60],Cnil,VV[59],V1) /*  GUESS-NAME-AND-FLAGS */;
	V6= V14;
	}
L364:;
	{cl_object V14;
	{cl_object V15;
	if(!(ecl_eql(V1,VV[18]))){
	goto L371;}
	(void)cl_format(7,V13,ecl_symbol_value(VV[36]),V6,VV[38],V5,V12,VV[38]) /*  FORMAT */;
	(void)cl_format(5,V13,ecl_symbol_value(VV[37]),V7,V6,V8) /*  FORMAT */;
	(void)cl_close(1,V13)                     /*  CLOSE                                    */;
	(void)L33compiler_cc(V10,V11)             /*  COMPILER-CC                      */;
	T0= ecl_fdefinition(VV[30]);
	T1= cl_namestring(V11)                    /*  NAMESTRING                              */;
	(void)cl_apply(4,T0,V2,T1,V4)             /*  APPLY                            */;
	goto L369;
L371:;
	if((ecl_memql(V1,VV[82]))==Cnil){
	goto L380;}
	(void)cl_format(7,V13,ecl_symbol_value(VV[36]),V6,V7,V5,V12,V8) /*  FORMAT */;
	(void)cl_close(1,V13)                     /*  CLOSE                                    */;
	(void)L33compiler_cc(V10,V11)             /*  COMPILER-CC                      */;
	T0= cl_format(5,Cnil,VV[83],V2,V11,V4)    /*  FORMAT                  */;
	(void)L1safe_system(T0)                   /*  SAFE-SYSTEM                            */;
	T0= cl_format(3,Cnil,VV[84],V2)           /*  FORMAT                         */;
	(void)L1safe_system(T0)                   /*  SAFE-SYSTEM                            */;
	goto L369;
L380:;
	if((ecl_memql(V1,VV[5]))==Cnil){
	goto L389;}
	(void)cl_format(7,V13,ecl_symbol_value(VV[36]),V6,V7,V5,V12,V8) /*  FORMAT */;
	(void)cl_close(1,V13)                     /*  CLOSE                                    */;
	(void)L33compiler_cc(V10,V11)             /*  COMPILER-CC                      */;
	T0= ecl_fdefinition(VV[32]);
	(void)cl_apply(4,T0,V2,V11,V4)            /*  APPLY                           */;
	goto L369;
L389:;
	if(!(ecl_eql(V1,VV[4]))){
	goto L396;}
	{cl_object V16;
	{cl_object V17;
	cl_object V18;
	V17= Cnil;
	V18= V12;
	{cl_object V19;
	cl_object V20;
	V19= CONS(Cnil,Cnil);
	V20= V19;
L403:;
	if(!(ecl_endp(V18))){
	goto L405;}
	goto L404;
L405:;
	V17= cl_car(V18)                          /*  CAR                                           */;
	V18= cl_cdr(V18)                          /*  CDR                                           */;
	{cl_object V21= V20;
	T0= cl_format(3,Cnil,VV[85],V17)          /*  FORMAT                        */;
	V20= CONS(T0,Cnil);
	if(ATOM(V21))FEtype_error_cons(V21);
	CDR(V21) = V20;}
	goto L403;
L404:;
	V16= cl_cdr(V19)                          /*  CDR                                           */;
	goto L399;
	V16= Cnil;
	goto L399;
	}
	}
L399:;
	V12= V16;
	}
	(void)cl_format(7,V13,ecl_symbol_value(VV[36]),V6,V7,V5,V12,V8) /*  FORMAT */;
	(void)cl_close(1,V13)                     /*  CLOSE                                    */;
	(void)L33compiler_cc(V10,V11)             /*  COMPILER-CC                      */;
	T0= ecl_fdefinition(VV[34]);
	(void)cl_apply(5,T0,V2,V6,V11,V4)         /*  APPLY                        */;
	goto L369;
L396:;
	(void)si_ecase_error(3,VV[86],V1,VV[87])  /*  ECASE-ERROR           */;
	}
	}
L369:;
	(void)L3cmp_delete_file(V9)               /*  CMP-DELETE-FILE                    */;
	(void)L3cmp_delete_file(V10)              /*  CMP-DELETE-FILE                   */;
	(void)L3cmp_delete_file(V11)              /*  CMP-DELETE-FILE                   */;
	value0=V2; NVALUES=1;
	return value0;
	}
	}
}
/*	function definition for BUILD-FASL                            */
static cl_object L22build_fasl(cl_narg narg, ...)
{ VT23 VLEX23 CLSR23
	cl_object value0;
	{
	cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	T0= ecl_fdefinition(VV[88]);
	value0=cl_apply(3,T0,VV[4],V1)            /*  APPLY                           */;
	return value0;
	}
}
/*	function definition for BUILD-PROGRAM                         */
static cl_object L23build_program(cl_narg narg, ...)
{ VT24 VLEX24 CLSR24
	cl_object value0;
	{
	cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	T0= ecl_fdefinition(VV[88]);
	value0=cl_apply(3,T0,VV[18],V1)           /*  APPLY                          */;
	return value0;
	}
}
/*	function definition for BUILD-STATIC-LIBRARY                  */
static cl_object L24build_static_library(cl_narg narg, ...)
{ VT25 VLEX25 CLSR25
	cl_object value0;
	{
	cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	T0= ecl_fdefinition(VV[88]);
	value0=cl_apply(3,T0,VV[91],V1)           /*  APPLY                          */;
	return value0;
	}
}
/*	function definition for BUILD-SHARED-LIBRARY                  */
static cl_object L25build_shared_library(cl_narg narg, ...)
{ VT26 VLEX26 CLSR26
	cl_object value0;
	{
	cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	T0= ecl_fdefinition(VV[88]);
	value0=cl_apply(3,T0,VV[66],V1)           /*  APPLY                          */;
	return value0;
	}
}
/*	function definition for COMPILE-FILE                          */
static cl_object L26compile_file(volatile cl_narg narg, volatile cl_object V1, ...)
{ VT27 VLEX27 CLSR27
	volatile cl_object value0;
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V2;
	volatile cl_object V3;
	volatile cl_object V4;
	volatile cl_object V5;
	volatile cl_object V6;
	volatile cl_object V7;
	volatile cl_object V8;
	volatile cl_object V9;
	volatile cl_object V10;
	volatile cl_object V11;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[18];
	cl_parse_key(args,9,L26compile_filekeys,keyvars,NULL,FALSE);
	if(keyvars[9]==Cnil){
	V2= ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",27));
	}else{
	V2= keyvars[0];}
	if(keyvars[10]==Cnil){
	V3= ecl_symbol_value(ECL_SYM("*COMPILE-PRINT*",26));
	}else{
	V3= keyvars[1];}
	V4= keyvars[2];
	V5= keyvars[3];
	V6= keyvars[4];
	V7= keyvars[5];
	V8= keyvars[6];
	V9= keyvars[7];
	if(keyvars[17]==Cnil){
	V10= Ct;
	}else{
	V10= keyvars[8];}
	V11= keyvars[17];
	}
	{volatile cl_object V12;                  /*  INIT-NAME                             */
	bds_push(ECL_SYM("*STANDARD-OUTPUT*",65)); /*  *STANDARD-OUTPUT*   */
	bds_push(ECL_SYM("*ERROR-OUTPUT*",31));   /*  *ERROR-OUTPUT*         */
	bds_push(VV[94]);                         /*  *COMPILER-IN-USE*                            */
	bds_push(ECL_SYM("*PACKAGE*",41));        /*  *PACKAGE*                   */
	bds_bind(ECL_SYM("*PRINT-PRETTY*",53),Cnil); /*  *PRINT-PRETTY*    */
	bds_bind(VV[95],MAKE_FIXNUM(0));          /*  *ERROR-COUNT*                 */
	bds_bind(ECL_SYM("*COMPILE-FILE-PATHNAME*",24),Cnil); /*  *COMPILE-FILE-PATHNAME* */
	bds_bind(ECL_SYM("*COMPILE-FILE-TRUENAME*",25),Cnil); /*  *COMPILE-FILE-TRUENAME* */
	bds_bind(ECL_SYM("*COMPILE-VERBOSE*",27),V2); /*  *COMPILE-VERBOSE* */
	{cl_object V13;
	V13= ecl_symbol_value(VV[96]);
	if((V13)==Cnil){
	goto L449;}
	T0= V13;
	goto L447;
L449:;
	T0= (((V2)==Cnil)?Ct:Cnil);
	}
L447:;
	bds_bind(VV[96],T0);                      /*  *SUPPRESS-COMPILER-NOTES*                 */
	{cl_object V13;
	V13= ecl_symbol_value(VV[97]);
	if((V13)==Cnil){
	goto L453;}
	T0= V13;
	goto L451;
L453:;
	T0= (((V2)==Cnil)?Ct:Cnil);
	}
L451:;
	bds_bind(VV[97],T0);                      /*  *SUPPRESS-COMPILER-WARNINGS*              */
	V12= Cnil;
	cl_set(ECL_SYM("*COMPILE-FILE-PATHNAME*",24),V1);
	if((cl_probe_file(ecl_symbol_value(ECL_SYM("*COMPILE-FILE-PATHNAME*",24))) /*  PROBE-FILE */)!=Cnil){
	goto L458;}
	if((cl_pathname_type(1,V1)                /*  PATHNAME-TYPE                       */)==Cnil){
	goto L462;}
	(void)cl_error(3,ECL_SYM("FILE-ERROR",351),ECL_SYM("PATHNAME",1278),V1) /*  ERROR */;
	goto L458;
L462:;
	{cl_object V13;                           /*  %DOLIST-VAR                                    */
	cl_object V14;                            /*  EXT                                             */
	V13= VV[98];
	V14= Cnil;
	goto L469;
L468:;
	V14= cl_first(V13)                        /*  FIRST                                       */;
	cl_set(ECL_SYM("*COMPILE-FILE-PATHNAME*",24),cl_make_pathname(4,ECL_SYM("TYPE",1310),V14,ECL_SYM("DEFAULTS",1212),V1) /*  MAKE-PATHNAME */);
	if((cl_probe_file(ecl_symbol_value(ECL_SYM("*COMPILE-FILE-PATHNAME*",24))) /*  PROBE-FILE */)==Cnil){
	goto L474;}
	goto L458;
L474:;
	V13= cl_rest(V13)                         /*  REST                                         */;
L469:;
	if((V13)==Cnil){
	goto L478;}
	goto L468;
L478:;
	goto L466;
L466:;
	V14= Cnil;
	(void)cl_error(3,ECL_SYM("FILE-ERROR",351),ECL_SYM("PATHNAME",1278),V1) /*  ERROR */;
	}
L458:;
	cl_set(ECL_SYM("*COMPILE-FILE-TRUENAME*",25),cl_truename(ecl_symbol_value(ECL_SYM("*COMPILE-FILE-PATHNAME*",24))) /*  TRUENAME */);
	if(!((V10)==(Ct))){
	goto L485;}
	{cl_object V13;
	if((V8)==Cnil){
	goto L491;}
	T0= ECL_SYM("OBJECT",1271);
	goto L489;
L491:;
	T0= VV[4];
L489:;
	V13= L2compile_file_pathname(3,ecl_symbol_value(ECL_SYM("*COMPILE-FILE-TRUENAME*",25)),ECL_SYM("TYPE",1310),T0) /*  COMPILE-FILE-PATHNAME */;
	V10= V13;
	}
L485:;
	if((V8)==Cnil){
	goto L494;}
	if((V9)==Cnil){
	goto L494;}
	(void)cl_error(1,VV[99])                  /*  ERROR                                 */;
L494:;
	if((ecl_symbol_value(VV[94]))==Cnil){
	goto L499;}
	T0= cl_namestring(V1)                     /*  NAMESTRING                               */;
	(void)cl_format(3,Ct,VV[100],T0)          /*  FORMAT                        */;
	cl_set(VV[101],Ct);
	NVALUES=3;
	VALUES(2)=Ct;
	VALUES(1)=Ct;
	VALUES(0)=Cnil;
	bds_unwind_n(11);
	return VALUES(0);
L499:;
	cl_set(VV[101],Cnil);
	cl_set(VV[94],Ct);
	if((ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",27)))==Cnil){
	goto L510;}
	T0= cl_namestring(V1)                     /*  NAMESTRING                               */;
	(void)cl_format(3,Ct,VV[102],T0)          /*  FORMAT                        */;
L510:;
	{volatile cl_object V13;                  /*  O-PATHNAME                            */
	volatile cl_object V14;                   /*  SO-PATHNAME                            */
	volatile cl_object V15;                   /*  C-PATHNAME                             */
	volatile cl_object V16;                   /*  H-PATHNAME                             */
	volatile cl_object V17;                   /*  DATA-PATHNAME                          */
	volatile cl_object V18;                   /*  SHARED-DATA-PATHNAME                   */
	bds_bind(VV[104],Cnil);                   /*  *LOAD-TIME-VALUES*                     */
	{cl_object V19;
	if((V8)==Cnil){
	goto L517;}
	V19= V10;
	goto L515;
L517:;
	V19= Cnil;
L515:;
	if((V19)==Cnil){
	goto L520;}
	V13= V19;
	goto L514;
L520:;
	{cl_object V20;
	if((V10)==Cnil){
	goto L524;}
	T0= V10;
	goto L522;
L524:;
	T0= V1;
	}
L522:;
	V13= L2compile_file_pathname(3,T0,ECL_SYM("TYPE",1310),ECL_SYM("OBJECT",1271)) /*  COMPILE-FILE-PATHNAME */;
	}
L514:;
	if((V8)!=Cnil){
	goto L528;}
	V14= V10;
	goto L526;
L528:;
	V14= Cnil;
L526:;
	if((ecl_memql(V4,VV[106]))==Cnil){
	goto L533;}
	T0= V13;
	goto L531;
L533:;
	T0= V4;
L531:;
	V15= L2compile_file_pathname(5,V13,VV[105],T0,ECL_SYM("TYPE",1310),VV[13]) /*  COMPILE-FILE-PATHNAME */;
	if((ecl_memql(V5,VV[106]))==Cnil){
	goto L538;}
	T0= V13;
	goto L536;
L538:;
	T0= V5;
L536:;
	V16= L2compile_file_pathname(5,V13,VV[105],T0,ECL_SYM("TYPE",1310),VV[15]) /*  COMPILE-FILE-PATHNAME */;
	if((ecl_memql(V6,VV[106]))==Cnil){
	goto L543;}
	T0= V13;
	goto L541;
L543:;
	T0= V6;
L541:;
	V17= L2compile_file_pathname(5,V13,VV[105],T0,ECL_SYM("TYPE",1310),VV[9]) /*  COMPILE-FILE-PATHNAME */;
	if((ecl_memql(V7,VV[106]))==Cnil){
	goto L548;}
	T0= V13;
	goto L546;
L548:;
	T0= V7;
L546:;
	V18= L2compile_file_pathname(5,V13,VV[105],T0,ECL_SYM("TYPE",1310),VV[11]) /*  COMPILE-FILE-PATHNAME */;
	{volatile cl_object V19;                  /*  %THE-LOCK                             */
	V19= ecl_symbol_value(ECL_SYM("+LOAD-COMPILE-LOCK+",1406));
	{
	volatile bool unwinding = FALSE;
	cl_index V20=cl_stack_index(),V21;
	ecl_frame_ptr next_fr;
	if (frs_push(ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env.nlj_fr;
	} else {
	(void)mp_get_lock(1,V19)                  /*  GET-LOCK                              */;
	(void)(*LK7init_env)(0)                   /*  INIT-ENV                               */;
	if((cl_probe_file(VV[107])                /*  PROBE-FILE                          */)==Cnil){
	goto L554;}
	(void)cl_load(3,VV[107],ECL_SYM("VERBOSE",1316),ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",27))) /*  LOAD */;
L554:;
	if((V7)==Cnil){
	goto L559;}
	if((V8)==Cnil){
	goto L562;}
	(void)(*LK4data_init)(1,V18)              /*  DATA-INIT                         */;
	goto L557;
L562:;
	(void)cl_error(1,VV[108])                 /*  ERROR                                */;
	goto L557;
L559:;
	(void)(*LK4data_init)(0)                  /*  DATA-INIT                             */;
L557:;
	{volatile cl_object V22;                  /*  NIL                                   */
	V22= cl_open(1,ecl_symbol_value(ECL_SYM("*COMPILE-FILE-PATHNAME*",24))) /*  OPEN */;
	bds_bind(VV[109],V22);                    /*  *COMPILER-INPUT*                        */
	{
	volatile bool unwinding = FALSE;
	cl_index V23=cl_stack_index(),V24;
	ecl_frame_ptr next_fr;
	if (frs_push(ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env.nlj_fr;
	} else {
	{cl_index V25=cl_stack_index();
	{cl_fixnum V26;
	{cl_object V27;                           /*  FORM                                           */
	V27= cl_read(3,ecl_symbol_value(VV[109]),Cnil,VV[103]) /*  READ    */;
	goto L574;
L573:;
	(void)(*LK8t1expr)(1,V27)                 /*  T1EXPR                               */;
	V27= cl_read(3,ecl_symbol_value(VV[109]),Cnil,VV[103]) /*  READ    */;
L574:;
	if((V27)==(VV[103])){
	goto L577;}
	goto L573;
L577:;
	goto L571;
L571:;
	VALUES(0)=Cnil; NVALUES=1;
	}
	V26= cl_stack_push_values();
	if((ecl_symbol_value(VV[109]))==Cnil){
	goto L580;}
	(void)cl_close(1,ecl_symbol_value(VV[109])) /*  CLOSE              */;
L580:;
	cl_stack_pop_values(V26);
	}
	cl_stack_set_index(V25);}
	}
	frs_pop();
	V24=cl_stack_push_values();
	if((ecl_symbol_value(VV[109]))==Cnil){
	goto L584;}
	(void)cl_close(3,ecl_symbol_value(VV[109]),ECL_SYM("ABORT",1192),Ct) /*  CLOSE */;
L584:;
	cl_stack_pop_values(V24);
	if (unwinding) ecl_unwind(next_fr);
	cl_stack_set_index(V23);
	bds_unwind1();}
	}
	if(!(ecl_zerop(ecl_symbol_value(VV[95])))){
	goto L587;}
	if((ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",27)))==Cnil){
	goto L590;}
	(void)cl_format(2,Ct,VV[110])             /*  FORMAT                           */;
L590:;
	{cl_object V22;
	if((V8)==Cnil){
	goto L597;}
	T0= ECL_SYM("OBJECT",1271);
	goto L595;
L597:;
	T0= VV[4];
L595:;
	V22= L13guess_name_and_flags(3,V10,VV[59],T0) /*  GUESS-NAME-AND-FLAGS */;
	V12= V22;
	}
	(void)L30compiler_pass2(V15,V16,V17,V8,V12,V7) /*  COMPILER-PASS2  */;
L587:;
	if((V7)==Cnil){
	goto L602;}
	(void)(*LK6data_dump)(2,V18,Ct)           /*  DATA-DUMP                      */;
	goto L600;
L602:;
	(void)(*LK6data_dump)(1,V17)              /*  DATA-DUMP                         */;
L600:;
	VALUES(0)=(*LK7init_env)(0)               /*  INIT-ENV                           */;
	}
	frs_pop();
	V21=cl_stack_push_values();
	(void)mp_giveup_lock(V19)                 /*  GIVEUP-LOCK                          */;
	cl_stack_pop_values(V21);
	if (unwinding) ecl_unwind(next_fr);
	cl_stack_set_index(V20);}
	}
	if(!(ecl_zerop(ecl_symbol_value(VV[95])))){
	goto L606;}
	if((V10)==Cnil){
	goto L610;}
	if((ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",27)))==Cnil){
	goto L612;}
	(void)cl_format(2,Ct,VV[111])             /*  FORMAT                           */;
L612:;
	(void)(*LK9compiler_cc)(2,V15,V13)        /*  COMPILER-CC                 */;
	if((V8)!=Cnil){
	goto L616;}
	T0= si_coerce_to_filename(V14)            /*  COERCE-TO-FILENAME              */;
	T1= si_coerce_to_filename(V13)            /*  COERCE-TO-FILENAME              */;
	(void)L8bundle_cc(3,T0,V12,T1)            /*  BUNDLE-CC                       */;
L616:;
	if((V8)!=Cnil){
	goto L622;}
	if((cl_probe_file(V14)                    /*  PROBE-FILE                              */)==Cnil){
	goto L622;}
	if((V9)==Cnil){
	goto L626;}
	(void)cl_load(1,V14)                      /*  LOAD                                      */;
L626:;
	if((ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",27)))==Cnil){
	goto L608;}
	(void)L34print_compiler_info()            /*  PRINT-COMPILER-INFO             */;
	T0= cl_namestring(V1)                     /*  NAMESTRING                               */;
	(void)cl_format(3,Ct,VV[112],T0)          /*  FORMAT                        */;
	goto L608;
L622:;
	if((V8)==Cnil){
	goto L634;}
	if((cl_probe_file(V13)                    /*  PROBE-FILE                              */)==Cnil){
	goto L634;}
	if((ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",27)))==Cnil){
	goto L608;}
	(void)L34print_compiler_info()            /*  PRINT-COMPILER-INFO             */;
	T0= cl_namestring(V1)                     /*  NAMESTRING                               */;
	(void)cl_format(3,Ct,VV[112],T0)          /*  FORMAT                        */;
	goto L608;
L634:;
	(void)cl_format(2,Ct,VV[113])             /*  FORMAT                           */;
	cl_set(VV[101],Ct);
	goto L608;
L610:;
	if((ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",27)))==Cnil){
	goto L608;}
	(void)L34print_compiler_info()            /*  PRINT-COMPILER-INFO             */;
	T0= cl_namestring(V1)                     /*  NAMESTRING                               */;
	(void)cl_format(3,Ct,VV[112],T0)          /*  FORMAT                        */;
L608:;
	if((V4)!=Cnil){
	goto L648;}
	(void)L3cmp_delete_file(V15)              /*  CMP-DELETE-FILE                   */;
L648:;
	if((V5)!=Cnil){
	goto L651;}
	(void)L3cmp_delete_file(V16)              /*  CMP-DELETE-FILE                   */;
L651:;
	if((V6)!=Cnil){
	goto L654;}
	if((V7)!=Cnil){
	goto L654;}
	(void)L3cmp_delete_file(V17)              /*  CMP-DELETE-FILE                   */;
L654:;
	if((V8)!=Cnil){
	goto L659;}
	(void)L3cmp_delete_file(V13)              /*  CMP-DELETE-FILE                   */;
L659:;
	if((V8)==Cnil){
	goto L664;}
	T0= V13;
	goto L662;
L664:;
	T0= V14;
L662:;
	T1= cl_truename(T0)                       /*  TRUENAME                                   */;
	NVALUES=3;
	VALUES(2)=Cnil;
	VALUES(1)=Cnil;
	VALUES(0)=T1;
	bds_unwind_n(12);
	return VALUES(0);
L606:;
	if((cl_probe_file(V15)                    /*  PROBE-FILE                              */)==Cnil){
	goto L667;}
	(void)L3cmp_delete_file(V15)              /*  CMP-DELETE-FILE                   */;
L667:;
	if((cl_probe_file(V16)                    /*  PROBE-FILE                              */)==Cnil){
	goto L670;}
	(void)L3cmp_delete_file(V16)              /*  CMP-DELETE-FILE                   */;
L670:;
	if((cl_probe_file(V17)                    /*  PROBE-FILE                              */)==Cnil){
	goto L673;}
	(void)L3cmp_delete_file(V17)              /*  CMP-DELETE-FILE                   */;
L673:;
	if((cl_probe_file(V18)                    /*  PROBE-FILE                              */)==Cnil){
	goto L676;}
	(void)L3cmp_delete_file(V18)              /*  CMP-DELETE-FILE                   */;
L676:;
	if((cl_probe_file(V13)                    /*  PROBE-FILE                              */)==Cnil){
	goto L679;}
	(void)L3cmp_delete_file(V13)              /*  CMP-DELETE-FILE                   */;
L679:;
	(void)cl_format(2,Ct,VV[114])             /*  FORMAT                           */;
	cl_set(VV[101],Ct);
	NVALUES=3;
	VALUES(2)=Ct;
	VALUES(1)=Ct;
	VALUES(0)=Cnil;
	bds_unwind_n(12);
	return VALUES(0);
	}
	}
	}
}
/*	function definition for COMPILE                               */
static cl_object L27compile(volatile cl_narg narg, volatile cl_object V1, ...)
{ VT28 VLEX28 CLSR28
	volatile cl_object value0;
	if(narg<1) FEwrong_num_arguments_anonym();
	if(narg>2) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V2;
	volatile cl_object V3;
	va_list args; va_start(args,V1);{int i=1;
	if (i >= narg) {
	V2= Cnil;
	V3= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	V3= Ct;
	}}
	{volatile cl_object V4;                   /*  FORM                                   */
	volatile cl_object V5;                    /*  DATA-PATHNAME                           */
	V4= Cnil;
	V5= Cnil;
	{cl_object V6;
	V6= ecl_symbol_value(VV[97]);
	if((V6)==Cnil){
	goto L700;}
	T0= V6;
	goto L698;
L700:;
	T0= (((ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",27)))==Cnil)?Ct:Cnil);
	}
L698:;
	bds_bind(VV[97],T0);                      /*  *SUPPRESS-COMPILER-WARNINGS*              */
	{cl_object V6;
	V6= ecl_symbol_value(VV[96]);
	if((V6)==Cnil){
	goto L704;}
	T0= V6;
	goto L702;
L704:;
	T0= (((ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",27)))==Cnil)?Ct:Cnil);
	}
L702:;
	bds_bind(VV[96],T0);                      /*  *SUPPRESS-COMPILER-NOTES*                 */
	bds_push(VV[94]);                         /*  *COMPILER-IN-USE*                            */
	bds_push(ECL_SYM("*STANDARD-OUTPUT*",65)); /*  *STANDARD-OUTPUT*   */
	bds_push(ECL_SYM("*ERROR-OUTPUT*",31));   /*  *ERROR-OUTPUT*         */
	bds_push(ECL_SYM("*PACKAGE*",41));        /*  *PACKAGE*                   */
	bds_bind(ECL_SYM("*COMPILE-PRINT*",26),Cnil); /*  *COMPILE-PRINT*  */
	bds_bind(ECL_SYM("*PRINT-PRETTY*",53),Cnil); /*  *PRINT-PRETTY*    */
	bds_bind(ECL_SYM("*COMPILER-CONSTANTS*",997),Ct); /*  *COMPILER-CONSTANTS* */
	bds_bind(VV[95],MAKE_FIXNUM(0));          /*  *ERROR-COUNT*                 */
	if(SYMBOLP(V1)){
	goto L706;}
	(void)cl_error(2,VV[116],V1)              /*  ERROR                             */;
L706:;
	if((ecl_symbol_value(VV[94]))==Cnil){
	goto L709;}
	(void)cl_format(3,Ct,VV[117],V1)          /*  FORMAT                        */;
	cl_set(VV[101],Ct);
	NVALUES=3;
	VALUES(2)=Ct;
	VALUES(1)=Cnil;
	VALUES(0)=V1;
	bds_unwind_n(10);
	return VALUES(0);
L709:;
	cl_set(VV[101],Cnil);
	cl_set(VV[94],Ct);
	if((V3)==Cnil){
	goto L721;}
	if((V2)==Cnil){
	goto L721;}
	if((cl_functionp(V2)                      /*  FUNCTIONP                                 */)==Cnil){
	goto L725;}
	if((cl_function_lambda_expression(V2)     /*  FUNCTION-LAMBDA-EXPRESSION */)!=Cnil){
	goto L728;}
	value0=V2; NVALUES=1;
	bds_unwind_n(10);
	return value0;
L728:;
	{cl_object V6;
	V6= cl_function_lambda_expression(V2)     /*  FUNCTION-LAMBDA-EXPRESSION */;
	V2= V6;
	}
L725:;
	if((V1)==Cnil){
	goto L735;}
	T0= cl_list(2,ECL_SYM("QUOTE",677),V1)    /*  LIST                    */;
	T1= cl_list(2,ECL_SYM("SYMBOL-FUNCTION",839),T0) /*  LIST          */;
	T2= cl_list(2,ECL_SYM("FUNCTION",394),V2) /*  LIST                 */;
	V4= cl_list(3,ECL_SYM("SETF",748),T1,T2)  /*  LIST                  */;
	goto L733;
L735:;
	T0= cl_list(2,ECL_SYM("FUNCTION",394),V2) /*  LIST                 */;
	V4= cl_list(3,ECL_SYM("SET",741),VV[118],T0) /*  LIST              */;
L733:;
	goto L719;
L721:;
	if((cl_fboundp(V1)                        /*  FBOUNDP                                     */)!=Cnil){
	goto L742;}
	(void)cl_error(2,VV[119],V1)              /*  ERROR                             */;
	goto L719;
L742:;
	{cl_object V6;
	V6= cl_symbol_function(V1)                /*  SYMBOL-FUNCTION                     */;
	V2= V6;
	T0= V2;
	}
	if((cl_typep(2,T0,ECL_SYM("STANDARD-GENERIC-FUNCTION",972)) /*  TYPEP */)==Cnil){
	goto L745;}
	(void)(*LK1warn)(1,VV[120])               /*  WARN                               */;
	NVALUES=3;
	VALUES(2)=Cnil;
	VALUES(1)=Ct;
	VALUES(0)=V2;
	bds_unwind_n(10);
	return VALUES(0);
L745:;
	V4= cl_function_lambda_expression(V2)     /*  FUNCTION-LAMBDA-EXPRESSION */;
	if((V4)!=Cnil){
	goto L752;}
	(void)(*LK1warn)(1,VV[121])               /*  WARN                               */;
	NVALUES=3;
	VALUES(2)=Cnil;
	VALUES(1)=Ct;
	VALUES(0)=V2;
	bds_unwind_n(10);
	return VALUES(0);
L752:;
	T0= cl_list(2,ECL_SYM("QUOTE",677),V1)    /*  LIST                    */;
	T1= cl_list(2,ECL_SYM("SYMBOL-FUNCTION",839),T0) /*  LIST          */;
	T2= cl_list(2,ECL_SYM("FUNCTION",394),V4) /*  LIST                 */;
	V4= cl_list(3,ECL_SYM("SETF",748),T1,T2)  /*  LIST                  */;
L719:;
	{cl_object V6;                            /*  TEMPLATE                                        */
	cl_set(VV[115],ecl_plus(ecl_symbol_value(VV[115]),MAKE_FIXNUM(1)));
	T0= ecl_symbol_value(VV[115]);
	V6= cl_format(3,Cnil,VV[122],T0)          /*  FORMAT                        */;
	V5= si_mkstemp(V6)                        /*  MKSTEMP                                     */;
	if((V5)!=Cnil){
	goto L760;}
	(void)cl_format(3,Ct,VV[123],V6)          /*  FORMAT                        */;
	cl_set(VV[101],Ct);
	NVALUES=3;
	VALUES(2)=Ct;
	VALUES(1)=Ct;
	VALUES(0)=Cnil;
	bds_unwind_n(10);
	return VALUES(0);
	}
L760:;
	{volatile cl_object V6;                   /*  C-PATHNAME                             */
	volatile cl_object V7;                    /*  H-PATHNAME                              */
	volatile cl_object V8;                    /*  O-PATHNAME                              */
	volatile cl_object V9;                    /*  SO-PATHNAME                             */
	volatile cl_object V10;                   /*  INIT-NAME                              */
	bds_bind(VV[104],ECL_SYM("VALUES",893));  /*  *LOAD-TIME-VALUES*    */
	V6= L2compile_file_pathname(3,V5,ECL_SYM("TYPE",1310),VV[13]) /*  COMPILE-FILE-PATHNAME */;
	V7= L2compile_file_pathname(3,V5,ECL_SYM("TYPE",1310),VV[15]) /*  COMPILE-FILE-PATHNAME */;
	V8= L2compile_file_pathname(3,V5,ECL_SYM("TYPE",1310),ECL_SYM("OBJECT",1271)) /*  COMPILE-FILE-PATHNAME */;
	V9= L2compile_file_pathname(1,V5)         /*  COMPILE-FILE-PATHNAME        */;
	V10= L13guess_name_and_flags(3,V9,VV[59],VV[4]) /*  GUESS-NAME-AND-FLAGS */;
	{volatile cl_object V11;                  /*  %THE-LOCK                             */
	V11= ecl_symbol_value(ECL_SYM("+LOAD-COMPILE-LOCK+",1406));
	{
	volatile bool unwinding = FALSE;
	cl_index V12=cl_stack_index(),V13;
	ecl_frame_ptr next_fr;
	if (frs_push(ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env.nlj_fr;
	} else {
	(void)mp_get_lock(1,V11)                  /*  GET-LOCK                              */;
	(void)(*LK7init_env)(0)                   /*  INIT-ENV                               */;
	(void)(*LK4data_init)(0)                  /*  DATA-INIT                             */;
	(void)(*LK8t1expr)(1,V4)                  /*  T1EXPR                                */;
	if(!(ecl_zerop(ecl_symbol_value(VV[95])))){
	goto L781;}
	if((ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",27)))==Cnil){
	goto L784;}
	(void)cl_format(2,Ct,VV[110])             /*  FORMAT                           */;
L784:;
	(void)L30compiler_pass2(V6,V7,V5,Cnil,V10,Cnil) /*  COMPILER-PASS2 */;
L781:;
	{cl_object V14;
	V14= (*LK6data_dump)(1,V5)                /*  DATA-DUMP                           */;
	cl_set(ECL_SYM("*COMPILER-CONSTANTS*",997),V14);
	}
	VALUES(0)=(*LK7init_env)(0)               /*  INIT-ENV                           */;
	}
	frs_pop();
	V13=cl_stack_push_values();
	(void)mp_giveup_lock(V11)                 /*  GIVEUP-LOCK                          */;
	cl_stack_pop_values(V13);
	if (unwinding) ecl_unwind(next_fr);
	cl_stack_set_index(V12);}
	}
	if(!(ecl_zerop(ecl_symbol_value(VV[95])))){
	goto L792;}
	if((ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",27)))==Cnil){
	goto L794;}
	(void)cl_format(2,Ct,VV[111])             /*  FORMAT                           */;
L794:;
	(void)L33compiler_cc(V6,V8)               /*  COMPILER-CC                        */;
	T0= si_coerce_to_filename(V9)             /*  COERCE-TO-FILENAME               */;
	T1= si_coerce_to_filename(V8)             /*  COERCE-TO-FILENAME               */;
	(void)L8bundle_cc(3,T0,V10,T1)            /*  BUNDLE-CC                       */;
	(void)L3cmp_delete_file(V6)               /*  CMP-DELETE-FILE                    */;
	(void)L3cmp_delete_file(V7)               /*  CMP-DELETE-FILE                    */;
	(void)L3cmp_delete_file(V8)               /*  CMP-DELETE-FILE                    */;
	(void)L3cmp_delete_file(V5)               /*  CMP-DELETE-FILE                    */;
	if((cl_probe_file(V9)                     /*  PROBE-FILE                               */)==Cnil){
	goto L806;}
	(void)cl_load(3,V9,ECL_SYM("VERBOSE",1316),Cnil) /*  LOAD          */;
	(void)L3cmp_delete_file(V9)               /*  CMP-DELETE-FILE                    */;
	if((ecl_symbol_value(ECL_SYM("*COMPILE-VERBOSE*",27)))==Cnil){
	goto L810;}
	(void)L34print_compiler_info()            /*  PRINT-COMPILER-INFO             */;
L810:;
	{cl_object V11;
	{cl_object V12;
	if((V1)==Cnil){
	goto L816;}
	V11= V1;
	goto L814;
L816:;
	V11= cl_symbol_value(VV[124])             /*  SYMBOL-VALUE                     */;
	}
L814:;
	V1= V11;
	}
	(void)cl_set(VV[124],Cnil)                /*  SET                                 */;
	(void)si_gc(Ct)                           /*  GC                                             */;
	NVALUES=3;
	VALUES(2)=Cnil;
	VALUES(1)=Cnil;
	VALUES(0)=V1;
	bds_unwind_n(11);
	return VALUES(0);
L806:;
	(void)cl_format(3,Ct,VV[125],V1)          /*  FORMAT                        */;
	cl_set(VV[101],Ct);
	NVALUES=3;
	VALUES(2)=Ct;
	VALUES(1)=Ct;
	VALUES(0)=V1;
	bds_unwind_n(11);
	return VALUES(0);
L792:;
	if((cl_probe_file(V6)                     /*  PROBE-FILE                               */)==Cnil){
	goto L824;}
	(void)L3cmp_delete_file(V6)               /*  CMP-DELETE-FILE                    */;
L824:;
	if((cl_probe_file(V7)                     /*  PROBE-FILE                               */)==Cnil){
	goto L827;}
	(void)L3cmp_delete_file(V7)               /*  CMP-DELETE-FILE                    */;
L827:;
	if((cl_probe_file(V9)                     /*  PROBE-FILE                               */)==Cnil){
	goto L830;}
	(void)L3cmp_delete_file(V9)               /*  CMP-DELETE-FILE                    */;
L830:;
	if((cl_probe_file(V5)                     /*  PROBE-FILE                               */)==Cnil){
	goto L833;}
	(void)L3cmp_delete_file(V5)               /*  CMP-DELETE-FILE                    */;
L833:;
	(void)cl_format(3,Ct,VV[126],V1)          /*  FORMAT                        */;
	cl_set(VV[101],Ct);
	NVALUES=3;
	VALUES(2)=Ct;
	VALUES(1)=Ct;
	VALUES(0)=V1;
	bds_unwind_n(11);
	return VALUES(0);
	}
	}
	}
}
/*	function definition for DISASSEMBLE                           */
static cl_object L29disassemble(volatile cl_narg narg, volatile cl_object V1, ...)
{ VT29 VLEX29 CLSR29
	volatile cl_object value0;
	if(narg<1) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V2;
	volatile cl_object V3;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L29disassemblekeys,keyvars,NULL,FALSE);
	V2= keyvars[0];
	V3= keyvars[1];
	}
	{volatile cl_object V4;                   /*  DISASSEMBLED-FORM                      */
	V4= Cnil;
	bds_push(VV[94]);                         /*  *COMPILER-IN-USE*                            */
	bds_bind(ECL_SYM("*PRINT-PRETTY*",53),Cnil); /*  *PRINT-PRETTY*    */
	if((si_valid_function_name_p(V1)          /*  VALID-FUNCTION-NAME-P         */)==Cnil){
	goto L843;}
	V1= cl_fdefinition(V1)                    /*  FDEFINITION                             */;
L843:;
	{cl_object V5;
	V5= ((V1==Cnil)?Ct:Cnil);
	if((V5)==Cnil){
	goto L850;}
	goto L847;
L850:;
	if((cl_functionp(V1)                      /*  FUNCTIONP                                 */)==Cnil){
	goto L853;}
	if((si_bc_disassemble(V1)                 /*  BC-DISASSEMBLE                       */)!=Cnil){
	goto L847;}
	(void)(*LK1warn)(2,VV[127],V1)            /*  WARN                            */;
	value0=Cnil; NVALUES=1;
	bds_unwind1();
	bds_unwind1();
	return value0;
L853:;
	if(!(ATOM(V1))){
	goto L859;}
	{cl_object V6= CONS(V1,Cnil);
	(void)cl_error(9,ECL_SYM("SIMPLE-TYPE-ERROR",771),ECL_SYM("DATUM",1210),V1,ECL_SYM("EXPECTED-TYPE",1228),VV[128],ECL_SYM("FORMAT-CONTROL",1236),VV[129],ECL_SYM("FORMAT-ARGUMENTS",1235),V6) /*  ERROR */;
	goto L847;}
L859:;
	T0= cl_car(V1)                            /*  CAR                                             */;
	if(!((T0)==(ECL_SYM("LAMBDA",450)))){
	goto L862;}
	T0= cl_cdr(V1)                            /*  CDR                                             */;
	V4= cl_listX(3,ECL_SYM("DEFUN",287),VV[124],T0) /*  LIST*          */;
	goto L847;
L862:;
	T0= cl_car(V1)                            /*  CAR                                             */;
	if(!((T0)==(ECL_SYM("LAMBDA-BLOCK",1323)))){
	goto L868;}
	T0= cl_rest(V1)                           /*  REST                                           */;
	V4= CONS(ECL_SYM("DEFUN",287),T0);
	goto L847;
L868:;
	{cl_object V7= CONS(V1,Cnil);
	(void)cl_error(9,ECL_SYM("SIMPLE-TYPE-ERROR",771),ECL_SYM("DATUM",1210),V1,ECL_SYM("EXPECTED-TYPE",1228),VV[128],ECL_SYM("FORMAT-CONTROL",1236),VV[129],ECL_SYM("FORMAT-ARGUMENTS",1235),V7) /*  ERROR */;}
	}
L847:;
	if((ecl_symbol_value(VV[94]))==Cnil){
	goto L873;}
	(void)cl_format(3,Ct,VV[130],V1)          /*  FORMAT                        */;
	cl_set(VV[101],Ct);
	value0=Cnil; NVALUES=1;
	bds_unwind1();
	bds_unwind1();
	return value0;
L873:;
	cl_set(VV[101],Cnil);
	cl_set(VV[94],Ct);
	{volatile cl_object V5;                   /*  NULL-STREAM                            */
	V5= cl_make_broadcast_stream(0)           /*  MAKE-BROADCAST-STREAM          */;
	bds_bind(VV[131],V5);                     /*  *COMPILER-OUTPUT1*                       */
	if((V2)==Cnil){
	goto L887;}
	T0= cl_open(3,V2,ECL_SYM("DIRECTION",1214),ECL_SYM("OUTPUT",1275)) /*  OPEN */;
	goto L885;
L887:;
	T0= V5;
L885:;
	bds_bind(VV[132],T0);                     /*  *COMPILER-OUTPUT2*                       */
	bds_bind(VV[95],MAKE_FIXNUM(0));          /*  *ERROR-COUNT*                 */
	T0= cl_symbol_function(VV[133])           /*  SYMBOL-FUNCTION                */;
	env0 = Cnil;
	CLV0=env0=CONS(T0,env0);                  /*  T3LOCAL-FUN                           */
	{volatile cl_object V6;                   /*  %THE-LOCK                              */
	V6= ecl_symbol_value(ECL_SYM("+LOAD-COMPILE-LOCK+",1406));
	{
	volatile bool unwinding = FALSE;
	cl_index V7=cl_stack_index(),V8;
	ecl_frame_ptr next_fr;
	if (frs_push(ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env.nlj_fr;
	} else {
	(void)mp_get_lock(1,V6)                   /*  GET-LOCK                               */;
	{
	volatile bool unwinding = FALSE;
	cl_index V9=cl_stack_index(),V10;
	ecl_frame_ptr next_fr;
	if (frs_push(ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env.nlj_fr;
	} else {
	{cl_object V11;
	V11= cl_make_cclosure_va((void*)LC28__g12080,env0,Cblock);
	(void)si_fset(4,VV[133],V11,Cnil,Cnil)    /*  FSET                    */;
	}
	(void)(*LK7init_env)(0)                   /*  INIT-ENV                               */;
	(void)(*LK4data_init)(0)                  /*  DATA-INIT                             */;
	(void)(*LK8t1expr)(1,V4)                  /*  T1EXPR                                */;
	if(!(ecl_zerop(ecl_symbol_value(VV[95])))){
	goto L900;}
	value0=ecl_symbol_value(VV[134]);
	if (frs_push(value0)==0) {                /*  BEGIN CATCH 903                     */
	T0= L13guess_name_and_flags(3,VV[135],VV[59],VV[4]) /*  GUESS-NAME-AND-FLAGS */;
	if((V2)==Cnil){
	goto L908;}
	T1= V2;
	goto L906;
L908:;
	T1= VV[38];
L906:;
	if((V3)==Cnil){
	goto L912;}
	T2= V3;
	goto L910;
L912:;
	T2= VV[38];
L910:;
	(void)(*LK10ctop_write)(3,T0,T1,T2)       /*  CTOP-WRITE                 */;
	}
	frs_pop();                                /*  END CATCH 903                                       */
	goto L898;
L900:;
	cl_set(VV[101],Ct);
L898:;
	(void)(*LK6data_dump)(1,V3)               /*  DATA-DUMP                          */;
	VALUES(0)=(*LK7init_env)(0)               /*  INIT-ENV                           */;
	}
	frs_pop();
	V10=cl_stack_push_values();
	{cl_object V11;
	V11= CAR(CLV0);
	(void)si_fset(4,VV[133],V11,Cnil,Cnil)    /*  FSET                    */;
	}
	if((V2)==Cnil){
	goto L916;}
	(void)cl_close(1,ecl_symbol_value(VV[132])) /*  CLOSE              */;
L916:;
	cl_stack_pop_values(V10);
	if (unwinding) ecl_unwind(next_fr);
	cl_stack_set_index(V9);}
	}
	frs_pop();
	V8=cl_stack_push_values();
	(void)mp_giveup_lock(V6)                  /*  GIVEUP-LOCK                           */;
	cl_stack_pop_values(V8);
	if (unwinding) ecl_unwind(next_fr);
	cl_stack_set_index(V7);
	bds_unwind1();
	bds_unwind1();
	bds_unwind1();}
	}
	}
	value0=Cnil; NVALUES=1;
	bds_unwind1();
	bds_unwind1();
	return value0;
	}
	}
}
/*	closure G12080                                                */
static cl_object LC28__g12080(cl_narg narg, cl_object env0, ...)
{ VT30 VLEX30 CLSR30
	cl_object value0;
	/* Scanning closure data ... */
	CLV0=env0;                                /*  T3LOCAL-FUN                                         */
	{ /* ... closure scanning finished */
	{
	cl_object V1;
	cl_va_list args; cl_va_start(args,env0,narg,0);
	V1=cl_grab_rest_args(args);
	bds_bind(VV[131],ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",65))); /*  *COMPILER-OUTPUT1* */
	value0=cl_apply(2,CAR(CLV0),V1)           /*  APPLY                          */;
	bds_unwind1();
	return value0;
	}
}}
/*	function definition for COMPILER-PASS2                        */
static cl_object L30compiler_pass2(volatile cl_object V1, volatile cl_object V2, volatile cl_object V3, volatile cl_object V4, volatile cl_object V5, volatile cl_object V6)
{ VT31 VLEX31 CLSR31
	volatile cl_object value0;
	{
TTL:
	{volatile cl_object V7;                   /*  NIL                                    */
	V7= cl_open(3,V1,ECL_SYM("DIRECTION",1214),ECL_SYM("OUTPUT",1275)) /*  OPEN */;
	bds_bind(VV[131],V7);                     /*  *COMPILER-OUTPUT1*                       */
	{
	volatile bool unwinding = FALSE;
	cl_index V8=cl_stack_index(),V9;
	ecl_frame_ptr next_fr;
	if (frs_push(ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env.nlj_fr;
	} else {
	{cl_index V10=cl_stack_index();
	{volatile cl_fixnum V11;
	{volatile cl_object V12;                  /*  NIL                                   */
	V12= cl_open(3,V2,ECL_SYM("DIRECTION",1214),ECL_SYM("OUTPUT",1275)) /*  OPEN */;
	bds_bind(VV[132],V12);                    /*  *COMPILER-OUTPUT2*                      */
	{
	volatile bool unwinding = FALSE;
	cl_index V13=cl_stack_index(),V14;
	ecl_frame_ptr next_fr;
	if (frs_push(ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env.nlj_fr;
	} else {
	{cl_index V15=cl_stack_index();
	{volatile cl_fixnum V16;
	(void)(*LK11wt1)(1,CODE_CHAR('\12'))      /*  WT1                       */;
	ecl_princ_str("#include ",ecl_symbol_value(VV[131]));
	(void)(*LK11wt1)(1,ecl_symbol_value(VV[136])) /*  WT1              */;
	value0=ecl_symbol_value(VV[134]);
	if (frs_push(value0)==0) {                /*  BEGIN CATCH 941                     */
	(void)(*LK10ctop_write)(5,V5,V2,V3,VV[137],V6) /*  CTOP-WRITE      */;
	}
	frs_pop();                                /*  END CATCH 941                                       */
	ecl_princ_char(10,ecl_symbol_value(VV[131]));
	VALUES(0)=ecl_terpri(ecl_symbol_value(VV[132])); NVALUES=1;
	V16= cl_stack_push_values();
	if((ecl_symbol_value(VV[132]))==Cnil){
	goto L944;}
	(void)cl_close(1,ecl_symbol_value(VV[132])) /*  CLOSE              */;
L944:;
	cl_stack_pop_values(V16);
	}
	cl_stack_set_index(V15);}
	}
	frs_pop();
	V14=cl_stack_push_values();
	if((ecl_symbol_value(VV[132]))==Cnil){
	goto L948;}
	(void)cl_close(3,ecl_symbol_value(VV[132]),ECL_SYM("ABORT",1192),Ct) /*  CLOSE */;
L948:;
	cl_stack_pop_values(V14);
	if (unwinding) ecl_unwind(next_fr);
	cl_stack_set_index(V13);
	bds_unwind1();}
	}
	V11= cl_stack_push_values();
	if((ecl_symbol_value(VV[131]))==Cnil){
	goto L951;}
	(void)cl_close(1,ecl_symbol_value(VV[131])) /*  CLOSE              */;
L951:;
	cl_stack_pop_values(V11);
	}
	cl_stack_set_index(V10);}
	}
	frs_pop();
	V9=cl_stack_push_values();
	if((ecl_symbol_value(VV[131]))==Cnil){
	goto L955;}
	(void)cl_close(3,ecl_symbol_value(VV[131]),ECL_SYM("ABORT",1192),Ct) /*  CLOSE */;
L955:;
	cl_stack_pop_values(V9);
	if (unwinding) ecl_unwind(next_fr);
	cl_stack_set_index(V8);
	bds_unwind1();
	return VALUES(0);}
	}
	}
}
/*	function definition for ECL-INCLUDE-DIRECTORY                 */
static cl_object L31ecl_include_directory()
{ VT32 VLEX32 CLSR32
	cl_object value0;
	{
TTL:
	if((ecl_symbol_value(VV[139]))==Cnil){
	goto L962;}
	T0= cl_merge_pathnames(2,VV[140],ecl_symbol_value(VV[139])) /*  MERGE-PATHNAMES */;
	if((cl_probe_file(T0)                     /*  PROBE-FILE                               */)==Cnil){
	goto L962;}
	value0=ecl_symbol_value(VV[139]); NVALUES=1;
	return value0;
L962:;
	if((cl_probe_file(VV[141])                /*  PROBE-FILE                          */)==Cnil){
	goto L968;}
	{cl_object V1;
	T0= cl_translate_logical_pathname(1,VV[142]) /*  TRANSLATE-LOGICAL-PATHNAME */;
	V1= cl_namestring(T0)                     /*  NAMESTRING                               */;
	cl_set(VV[139],V1);
	value0=ecl_symbol_value(VV[139]); NVALUES=1;
	return value0;
	}
L968:;
	{cl_object V2;
	V2= cl_error(1,VV[143])                   /*  ERROR                                  */;
	if((V2)==Cnil){
	goto L975;}
	value0=V2; NVALUES=1;
	return value0;
L975:;
	value0=Cnil; NVALUES=1;
	return value0;
	}
	}
}
/*	function definition for ECL-LIBRARY-DIRECTORY                 */
static cl_object L32ecl_library_directory()
{ VT33 VLEX33 CLSR33
	cl_object value0;
	{
TTL:
	if((ecl_symbol_value(VV[145]))==Cnil){
	goto L981;}
	T0= L2compile_file_pathname(3,VV[146],ECL_SYM("TYPE",1310),VV[66]) /*  COMPILE-FILE-PATHNAME */;
	T1= cl_merge_pathnames(2,T0,ecl_symbol_value(VV[145])) /*  MERGE-PATHNAMES */;
	if((cl_probe_file(T1)                     /*  PROBE-FILE                               */)==Cnil){
	goto L981;}
	value0=ecl_symbol_value(VV[145]); NVALUES=1;
	return value0;
L981:;
	if((cl_probe_file(VV[147])                /*  PROBE-FILE                          */)==Cnil){
	goto L988;}
	{cl_object V1;
	T0= cl_translate_logical_pathname(1,VV[142]) /*  TRANSLATE-LOGICAL-PATHNAME */;
	V1= cl_namestring(T0)                     /*  NAMESTRING                               */;
	cl_set(VV[145],V1);
	value0=ecl_symbol_value(VV[145]); NVALUES=1;
	return value0;
	}
L988:;
	{cl_object V2;
	V2= cl_error(1,VV[148])                   /*  ERROR                                  */;
	if((V2)==Cnil){
	goto L995;}
	value0=V2; NVALUES=1;
	return value0;
L995:;
	value0=Cnil; NVALUES=1;
	return value0;
	}
	}
}
/*	function definition for COMPILER-CC                           */
static cl_object L33compiler_cc(cl_object V1, cl_object V2)
{ VT34 VLEX34 CLSR34
	cl_object value0;
	{
TTL:
	{cl_object V3= ecl_symbol_value(VV[150]);
	{cl_object V4= ecl_symbol_value(VV[151]);
	{cl_object V5= ecl_symbol_value(VV[152]);
	{bool V6= ecl_number_compare(ecl_symbol_value(VV[153]),MAKE_FIXNUM(2))>=0;
	{cl_object V7= ecl_symbol_value(VV[154]);
	T0= L31ecl_include_directory()            /*  ECL-INCLUDE-DIRECTORY           */;
	T1= si_coerce_to_filename(V1)             /*  COERCE-TO-FILENAME               */;
	T2= si_coerce_to_filename(V2)             /*  COERCE-TO-FILENAME               */;
	T3= cl_format(9,Cnil,V3,V4,V5,((V6)?Ct:Cnil),V7,T0,T1,T2) /*  FORMAT */;
	value0=L1safe_system(T3)                  /*  SAFE-SYSTEM                           */;
	return value0;}}}}}
	}
}
/*	function definition for PRINT-COMPILER-INFO                   */
static cl_object L34print_compiler_info()
{ VT35 VLEX35 CLSR35
	cl_object value0;
	{
TTL:
	value0=cl_format(5,Ct,VV[156],ecl_symbol_value(VV[157]),ecl_symbol_value(VV[158]),ecl_symbol_value(VV[153])) /*  FORMAT */;
	return value0;
	}
}
/*	local function WITH-COMPILATION-UNIT                          */
static cl_object LC35with_compilation_unit(cl_object V1, cl_object V2)
{ VT36 VLEX36 CLSR36
	cl_object value0;
	{
TTL:
	{cl_object V3;                            /*  OPTIONS                                         */
	if((cl_cdr(V1)                            /*  CDR                                             */)==Cnil){
	goto L1011;}
	V3= cl_cadr(V1)                           /*  CADR                                           */;
	goto L1009;
L1011:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS            */;
L1009:;
	T0= cl_cddr(V1)                           /*  CDDR                                           */;
	value0=CONS(ECL_SYM("PROGN",669),T0); NVALUES=1;
	return value0;
	}
	}
}
static cl_object LKF11wt1(cl_narg narg, ...){TRAMPOLINK(narg,VV[196],&LK11wt1,Cblock);}
static cl_object LKF10ctop_write(cl_narg narg, ...){TRAMPOLINK(narg,VV[195],&LK10ctop_write,Cblock);}
static cl_object LKF9compiler_cc(cl_narg narg, ...){TRAMPOLINK(narg,VV[155],&LK9compiler_cc,Cblock);}
static cl_object LKF8t1expr(cl_narg narg, ...){TRAMPOLINK(narg,VV[194],&LK8t1expr,Cblock);}
static cl_object LKF7init_env(cl_narg narg, ...){TRAMPOLINK(narg,VV[193],&LK7init_env,Cblock);}
static cl_object LKF6data_dump(cl_narg narg, ...){TRAMPOLINK(narg,VV[183],&LK6data_dump,Cblock);}
static cl_object LKF5data_permanent_storage_size(cl_narg narg, ...){TRAMPOLINK(narg,VV[182],&LK5data_permanent_storage_size,Cblock);}
static cl_object LKF4data_init(cl_narg narg, ...){TRAMPOLINK(narg,VV[181],&LK4data_init,Cblock);}
static cl_object LKF3wt_filtered_data(cl_narg narg, ...){TRAMPOLINK(narg,VV[180],&LK3wt_filtered_data,Cblock);}
static cl_object LKF2make_instance(cl_narg narg, ...){TRAMPOLINK(narg,ECL_SYM("MAKE-INSTANCE",947),&LK2make_instance,Cblock);}
static cl_object LKF1warn(cl_narg narg, ...){TRAMPOLINK(narg,ECL_SYM("WARN",901),&LK1warn,Cblock);}
static cl_object LKF0cmpnote(cl_narg narg, ...){TRAMPOLINK(narg,VV[161],&LK0cmpnote,Cblock);}
	
#include "/home/mandrake/rpm/BUILD/ecl-0.9j/build/cmp/cmpmain.data"
#ifdef __cplusplus
extern "C"
#endif
void init_CMP_CMPMAIN(cl_object flag)
{ VT1 VLEX1 CLSR1
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(VVtemp[0])        /*  SELECT-PACKAGE  */;
	cl_def_c_function(VV[3],(void*)L1safe_system,1);
	cl_def_c_function_va(ECL_SYM("COMPILE-FILE-PATHNAME",233),(void*)L2compile_file_pathname);
	cl_def_c_function(VV[25],(void*)L3cmp_delete_file,1);
	T0= cl_make_cfun((void*)LC4__g12003,Cnil,Cblock,0);
	cl_set(ECL_SYM("*EXIT-HOOKS*",1413),CONS(T0,ecl_symbol_value(ECL_SYM("*EXIT-HOOKS*",1413))));
	cl_def_c_macro(VV[26],(void*)LC5fix_for_mingw,2);
	cl_def_c_function_va(VV[30],(void*)L6linker_cc);
	cl_def_c_function_va(VV[32],(void*)L7shared_cc);
	cl_def_c_function_va(VV[34],(void*)L8bundle_cc);
	(void)si_Xmake_constant(VV[35],VVtemp[1]) /*  *MAKE-CONSTANT  */;
	(void)si_Xmake_constant(VV[36],VVtemp[2]) /*  *MAKE-CONSTANT  */;
	(void)si_Xmake_constant(VV[37],VVtemp[3]) /*  *MAKE-CONSTANT  */;
	cl_def_c_function_va(VV[46],(void*)L11init_function_name);
	cl_def_c_function(VV[49],(void*)L12guess_kind,1);
	cl_def_c_function_va(VV[61],(void*)L13guess_name_and_flags);
	cl_def_c_function(VV[69],(void*)L20system_ld_flag,1);
	cl_def_c_function_va(VV[88],(void*)L21builder);
	cl_def_c_function_va(VV[89],(void*)L22build_fasl);
	cl_def_c_function_va(VV[90],(void*)L23build_program);
	cl_def_c_function_va(VV[92],(void*)L24build_static_library);
	cl_def_c_function_va(VV[93],(void*)L25build_shared_library);
	cl_def_c_function_va(ECL_SYM("COMPILE-FILE",232),(void*)L26compile_file);
	(void)si_Xmake_special(VV[115])           /*  *MAKE-SPECIAL   */;
	if(SYM_VAL(VV[115])!=OBJNULL){
	goto L686;}
	cl_set(VV[115],MAKE_FIXNUM(0));
L686:;
	cl_def_c_function_va(ECL_SYM("COMPILE",231),(void*)L27compile);
	cl_def_c_function_va(ECL_SYM("DISASSEMBLE",303),(void*)L29disassemble);
	cl_def_c_function(VV[138],(void*)L30compiler_pass2,6);
	cl_def_c_function(VV[144],(void*)L31ecl_include_directory,0);
	cl_def_c_function(VV[149],(void*)L32ecl_library_directory,0);
	cl_def_c_function(VV[155],(void*)L33compiler_cc,2);
	cl_def_c_function(VV[159],(void*)L34print_compiler_info,0);
	cl_def_c_macro(ECL_SYM("WITH-COMPILATION-UNIT",905),(void*)LC35with_compilation_unit,2);
	(void)si_package_lock(VVtemp[4],Cnil)     /*  PACKAGE-LOCK    */;
	(void)cl_load(1,VVtemp[5])                /*  LOAD            */;
	(void)cl_provide(1,VV[160])               /*  PROVIDE         */;
}
